MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003036VCMIAI - Adventure Mappublic2019-02-14 14:022019-03-21 14:48
ReporterDydzio 
Assigned ToNullkiller 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.next 
Target Version0.nextFixed in Version0.next 
Summary0003036: Some unexpected crap happens in AI behavior - expecting army exchange then exploration
DescriptionOn attached map AI behaves unexpectedly during its turn. Expected behavior is to give army to one hero during GatherArmy decomposition. Then heroes should move around to explore as army guarding castle is too strong for them. Instead heroes end each turn next to each other, error "Hero Dace tries to visit himself" appears before AI turn ends on each turn passed. Also make sure you read "Additional Information" below before working on this bug.
Steps To ReproduceWith newest daily build run attached map, use vcmieagles cheat and see that heroes get stuck next to each other and error related to hero trying to visit himself appears in console before AI ends turn.
Additional InformationRequires newest commit https://github.com/vcmi/vcmi/commit/5f87c98186e9f145c57c036422b1d918b52edff8 [^]

If you move hero Dace in map editor 1 tile upwards the bug won't appear. Changing army composition of heroes may cause bug to not appear as well
TagsNo tags attached.
Attached Files? file icon vcmiaistacksplit.h3m [^] (8,599 bytes) 2019-02-14 14:02

- Relationships

-  Notes
(0007751)
Nullkiller (developer)
2019-02-16 09:15

Will be fixed in https://github.com/vcmi/vcmi/pull/552 [^]
(0007752)
Warmonger (administrator)
2019-02-16 13:23

:D Finally someone figured that one out, great job!

Also, might help with heroes trading armies between each other indefinitely (currently patched around).

- Issue History
Date Modified Username Field Change
2019-02-14 14:02 Dydzio New Issue
2019-02-14 14:02 Dydzio Status new => assigned
2019-02-14 14:02 Dydzio Assigned To => Nullkiller
2019-02-14 14:02 Dydzio File Added: vcmiaistacksplit.h3m
2019-02-16 09:15 Nullkiller Note Added: 0007751
2019-02-16 13:23 Warmonger Note Added: 0007752
2019-03-21 14:48 Dydzio Status assigned => resolved
2019-03-21 14:48 Dydzio Fixed in Version => 0.next
2019-03-21 14:48 Dydzio Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean